package org.arquillian.example;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.container.test.api.RunAsClient;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.jboss.shrinkwrap.resolver.api.maven.archive.importer.MavenImporter;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.openqa.selenium.htmlunit.HtmlUnitDriver;

@RunWith(Arquillian.class)
public class ContainerTest {

	@Deployment(name = "test")
	public static WebArchive createDeploymentForInitialize() {
		return ShrinkWrap.create(MavenImporter.class).loadPomFromFile("pom.xml").importBuildOutput()
				.as(WebArchive.class);
	}

	@Test
	@RunAsClient
	public void test() {
		final HtmlUnitDriver driver = new HtmlUnitDriver(true);
		driver.setJavascriptEnabled(true);
		driver.get("http://localhost:8080/arquillian-tutorial/test.jsp");
		Assert.assertTrue(driver.getPageSource().contains("Hello World"));
	}
}
